Software Artifact Version
An immutable version of a software artifact, identified by its content digest.
SoftwareArtifactVersion object
An immutable version of a software artifact, identified by its content digest.
- digeststringBetaOutput only
Content digest of the version, for example
sha256:....
- namestringBetaIDImmutable
Resource name of the version, of the form
software-artifacts/{catalog}.{schema}.{artifact}/versions/{version}.
- tagsarray of stringBetaOutput only
Tags (aliases) that currently point at this version, for example
latestorv1.2.3. Bounded at 10 per version; a version pointed at by more tags returns an arbitrary 10 of them.
- image_acceleration_detailsobjectBetaOutput only
Image acceleration information for this version.
Show child attributesHide child attributes
- statusstringBeta
Image acceleration status for the version.
UNSPECIFIEDSUCCESS
- create_timestringBetaOutput only
Time at which this software artifact version was created.
- created_bystringBetaOutput only
Principal name of the software artifact version creator.
- update_timestringBetaOutput only
Time at which this software artifact version was last updated.
- updated_bystringBetaOutput only
Principal name that last updated this software artifact version.
Get Beta
GET
Gets a software artifact version.
API scopes: unity-catalog
Parameters
- namestringRequiredpath
Resource name of the version, of the form
software-artifacts/{catalog}.{schema}.{artifact}/versions/{version}.
Response
Returns the SoftwareArtifactVersion object.
List Beta
GET
Lists the versions of a software artifact.
API scopes: unity-catalog
Parameters
- parentstringRequiredpath
Resource name of the parent artifact, of the form
software-artifacts/{catalog}.{schema}.{artifact}.
- page_tokenstringquery
Opaque continuation token from a previous response's next_page_token. Omit for the first page.
- page_sizeint32query
Maximum number of versions to return. If omitted or set to 0, the page size defaults to 50. The maximum value is 50; values above 50 or below 0 are rejected.
Response
Returns a list of SoftwareArtifactVersion objects.
Resolve Software Artifact Version Beta
POST
Resolves a software artifact version from its tag alias.
API scopes: unity-catalog
Parameters
- parentstringRequiredpath
Resource name of the software artifact containing the alias.
Request body
- aliasstringRequired
Image tag alias selecting the version.
Response
- software_artifact_versionobjectOutput only
The software artifact version selected by the alias.
Show child attributesHide child attributes
- digeststringOutput only
Content digest of the version, for example
sha256:....
- namestringIDImmutable
Resource name of the version, of the form
software-artifacts/{catalog}.{schema}.{artifact}/versions/{version}.
- tagsarray of stringOutput only
Tags (aliases) that currently point at this version, for example
latestorv1.2.3. Bounded at 10 per version; a version pointed at by more tags returns an arbitrary 10 of them.
- image_acceleration_detailsobjectOutput only
Image acceleration information for this version.
Show child attributesHide child attributes
- statusstring
Image acceleration status for the version.
UNSPECIFIEDSUCCESS
- create_timestringOutput only
Time at which this software artifact version was created.
- created_bystringOutput only
Principal name of the software artifact version creator.
- update_timestringOutput only
Time at which this software artifact version was last updated.
- updated_bystringOutput only
Principal name that last updated this software artifact version.